
U++ - Bug #932

EditorBar - LeftDown shouldn't chnage cursor image

11/20/2014 08:45 PM - Zbigniew Rebacz

Status: Approved Start date: 11/20/2014

Priority: Low Due date:

Assignee: Zbigniew Rebacz % Done: 0%

Category: CodeEditor Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

This bug can be ovserved when we wamt to set breakpoint. In this case cursor image shouldn't be changed.

Investigation:

void EditorBar::LeftDown(Point p, dword flags)

{

    if(p.x > GetSize().cx - annotations)

        WhenAnnotationClick();

    else

    if(editor)

        editor->LeftDown(Point(0, p.y), flags); // <- This invocation causes problems. Probably "SetCapture" in LineEdit::LeftDown is

problem.

}

History

#1 - 12/01/2014 06:27 PM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee set to Zbigniew Rebacz

#2 - 12/01/2014 08:04 PM - Zbigniew Rebacz

- Status changed from Ready for QA to Approved
